Subject: Re: FVWM: Next/Prev question

From: "Rouben Rostamian" <[email-masked]>
Date: Thu, 19 Jun 2003 16:18:35 -0400

Dominik Vogt <[email-masked]> wrote:
> On Wed, Jun 18, 2003 at 07:07:40AM -0400, Rouben Rostamian wrote:
> > Dominik Vogt <[email-masked]> wrote:
> > > Windows are stored in a ring internally.  Think of the focused
> > > window as a cursor on the current position in the ring.  Next
> > > searches forwards through the ring for a matching window, and Prev
> > > searches backwards.  The windows in the ring are either ordered by
> > > creation time or by the last time they had the focus (depending on
> > > the focus policy).
> > > 
> > > In this specific case there is no noteworthy difference between
> > > Next and Prev because there are either zero or one windows of the
> > > given type.  We use Next in such examples out of habit and because
> > > Prev might be a bit confusing.
> > 
> > Thanks, Dominik, for this very clear explanation.  Shouldn't this
> > be in the man page?
> 
> Done.

Thanks, that's terrific!  I have yet another question which I hope
you will be able to answer.  In fvwm's man page, we have:

      Current [(conditions)] command
          ...
	  "Iconic", "!Iconic", "Visible",  "!Visible",
	  ...

There is no explanation of the meaning of "Visible".  I can think
of several different meanings for it.  Would you please clarify?

To explain my confusion, let's say my screen is 1024x768.  I do:
"xterm -geometry +100000+100000".  Is that xterm "Visible"?

Or suppose there is an xterm at the center of Page 1 1 in Desk 1.
Is that xterm "Visible" if I am on Page 2 2 of Desk 1?  Is it visible
if I am on Desk 2?

Rouben
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked]
Date: Thu, 19 Jun 2003 22:45:20 +0200

> of several different meanings for it.  Would you please clarify?

"Visible" means that at least one pixel of the window or its icon
is currently visible on the screen.  "Raised" means that all its
pixels are visible.

I have written the missing man page sections in the mean time.

> "xterm -geometry +100000+100000".  Is that xterm "Visible"?

No, it's not visible.  By the way, the highest possible x/y values
in X are 32767; 100000 is too big.
 
> Is that xterm "Visible" if I am on Page 2 2 of Desk 1?  Is it visible

See above.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].